# Cubbot <!-- omit in toc -->

[![Build Status](https://build.wadza.fr/api/badges/me/cubbot/status.svg)](https://build.wadza.fr/me/cubbot)

Mostly AFK Minecraft bot

Scalliony API and UI

- [Setup](#setup)
- [Building](#building)
- [Usage](#usage)
  - [Config](#config)
  - [Run](#run)
- [Tests](#tests)
- [License](#license)

## Setup
Cubbot uses modules with could be enabled at compile time in `src/modules/index.ts`

## Building
```
npm run build
```

## Usage
### Config

- Copy `.env.sample` as `.env`
- Edit `CORE_HOST`, `CORE_USER`, `CORE_PASS` and maybe others.

### Run
```
npm run test
```

## Tests
```
npm run test
```

## License
Distributed under the GPL3 license. Copyright (c) 2020, Maelys Bois.